package com.zt.controller;


import com.zt.utils.MD5Utils;
import com.zt.vo.ResultVo;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;

@RestController
@RequestMapping("good")
public class GetNameController {
    @RequestMapping("getname")
    public ResultVo getname(@RequestParam("goodsId")String goodsId,
                            HttpServletRequest request){
//        生成sign签名
        HashMap<String, Object> map = new HashMap<>();
        try {
            map.put("goodsId",goodsId);
            map.put("reqId",request.getHeader("reqId"));
            map.put("reqTime",request.getHeader("reqTime"));
            map.put("appId",request.getHeader("appId"));
        }catch (Exception e){
            return ResultVo.fail(1002,"编译失败,传值不能为空");
        }

        System.err.println(map.toString());
        ArrayList<String> list = new ArrayList<>(map.keySet());
        Collections.sort(list);
        StringBuilder stringBuilder = new StringBuilder();
        for (String s : list) {
            stringBuilder.append(s).append("=").append(map.get(s)).append("&");
        }
        StringBuilder append = stringBuilder.append("123");
        String encode = MD5Utils.encode(String.valueOf(append));
        System.err.println(encode);
        if(request.getHeader("sign").equals(encode)){
           return ResultVo.success(goodsId);
        }
        return ResultVo.fail(1002,"验签失败");
    }
}
