package com.zt.service;

import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.scheduling.annotation.Scheduled;

import java.util.Date;

public class ProductsService {
    private  final KafkaTemplate<String,String> kafkaTemplate;

    public ProductsService(KafkaTemplate<String, String> kafkaTemplate) {
        this.kafkaTemplate = kafkaTemplate;
    }


    @Scheduled(cron = "0/60 * * * * ?")
    public void sendMessage()
    {
    	kafkaTemplate.send("test", String.valueOf(new Date()));
    }
}
